__gnu_cxx::__rc_string_base(3)

NAME
__gnu_cxx::__rc_string_base -

SYNOPSIS

Inherits __vstring_utility< _CharT, _Traits, _Alloc >.

Detailed Description

  template<typename _CharT, typename _Traits, typename _Alloc> class __gnu_cxx::__rc_string_base< _CharT, _Traits, _Alloc >

Definition at line 87 of file rc_string_base.h.

  Public Types
typedef _Util_Base::_CharT_alloc_type _CharT_alloc_type
typedef __vstring_utility< _CharT, _Traits, _Alloc > _Util_Base
typedef _Alloc allocator_type
typedef _CharT_alloc_type::size_type size_type
typedef _Traits traits_type
typedef _Traits::char_type value_type

  Public Member Functions
template<typename _InputIterator> __rc_string_base (_InputIterator __beg, _InputIterator __end, const _Alloc &__a)
__rc_string_base (size_type __n, _CharT __c, const _Alloc &__a)
__rc_string_base (const __rc_string_base &__rcs)
__rc_string_base (const _Alloc &__a)
__rc_string_base ()
void _M_assign (const __rc_string_base &__rcs)
size_type _M_capacity () const
template<> bool _M_compare (const __rc_string_base &__rcs) const
template<> bool _M_compare (const __rc_string_base &__rcs) const
bool _M_compare (const __rc_string_base &) const
_CharT * _M_data () const
void _M_erase (size_type __pos, size_type __n)
const allocator_type & _M_get_allocator () const
allocator_type & _M_get_allocator ()
bool _M_is_shared () const
void _M_leak ()
size_type _M_length () const
size_type _M_max_size () const
void _M_mutate (size_type __pos, size_type __len1, const _CharT *__s, size_type __len2)
void _M_reserve (size_type __res)
void _M_set_leaked ()
void _M_set_length (size_type __n)
void _M_swap (__rc_string_base &__rcs)
~__rc_string_base ()

  Protected Types
typedef __gnu_cxx::__normal_iterator< const_pointer, __gnu_cxx::__versa_string< _CharT, _Traits, _Alloc, __rc_string_base > > __const_rc_iterator
typedef __gnu_cxx::__normal_iterator< const_pointer, __gnu_cxx::__versa_string< _CharT, _Traits, _Alloc, __sso_string_base > > __const_sso_iterator
typedef __gnu_cxx::__normal_iterator< pointer, __gnu_cxx::__versa_string< _CharT, _Traits, _Alloc, __rc_string_base > > __rc_iterator
typedef __gnu_cxx::__normal_iterator< pointer, __gnu_cxx::__versa_string< _CharT, _Traits, _Alloc, __sso_string_base > > __sso_iterator
typedef _CharT_alloc_type::const_pointer const_pointer
typedef _CharT_alloc_type::pointer pointer

  Static Protected Member Functions
static void _S_assign (_CharT *__d, size_type __n, _CharT __c)
static void _S_copy (_CharT *__d, const _CharT *__s, size_type __n)
static void _S_copy_chars (_CharT *__p, const _CharT *__k1, const _CharT *__k2)
static void _S_copy_chars (_CharT *__p, _CharT *__k1, _CharT *__k2)
static void _S_copy_chars (_CharT *__p, __const_rc_iterator __k1, __const_rc_iterator __k2)
static void _S_copy_chars (_CharT *__p, __rc_iterator __k1, __rc_iterator __k2)
static void _S_copy_chars (_CharT *__p, __const_sso_iterator __k1, __const_sso_iterator __k2)
static void _S_copy_chars (_CharT *__p, __sso_iterator __k1, __sso_iterator __k2)
template<typename _Iterator> static void _S_copy_chars (_CharT *__p, _Iterator __k1, _Iterator __k2)
template<typename _Type> static bool _S_is_null_pointer (_Type)
template<typename _Type> static bool _S_is_null_pointer (_Type *__ptr)
static void _S_move (_CharT *__d, const _CharT *__s, size_type __n)

Author

Generated automatically by Doxygen for libstdc++ from the source code.